Bug 24200 - Revert first_weekday removal in en_IE locale
Summary: Revert first_weekday removal in en_IE locale
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: 2.30
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-09 20:54 UTC by Alberto Milla
Modified: 2019-07-17 10:11 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed: 2019-07-10 00:00:00
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alberto Milla 2019-02-09 20:54:00 UTC
Hi,

Continuing with this old thread:

https://sourceware.org/ml/libc-alpha/2016-11/msg00982.html

It looks like that the CLDR has changed its mind and nowadays the first weekday for Ireland is officially Monday and not Sunday as you can check in the CLDR's supplementalData.xml:

https://unicode.org/repos/cldr/tags/latest/common/supplemental/supplementalData.xml

Would it be now possible to apply the patch proposed by Daniil Zhilin?
Comment 1 Rafal Luzynski 2019-06-18 00:36:50 UTC
This looks reasonable, see also: https://unicode-org.atlassian.net/browse/CLDR-11192
Comment 2 Rafal Luzynski 2019-07-10 09:58:36 UTC
Thank you for filing this issue. As CLDR provides the supplemental data per territory rather than per locale, I think the same change should be made to ga_IE as well. Please find the patch amended and reposted here:

https://sourceware.org/ml/libc-alpha/2019-07/msg00214.html
Comment 3 cvs-commit@gcc.gnu.org 2019-07-17 10:06:59 UTC
The master branch has been updated by Rafal Luzynski <rl@sourceware.org>:

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=cce7b6a5783df9600d406b0499cebf84f2987dbc

commit cce7b6a5783df9600d406b0499cebf84f2987dbc
Author: Daniil Zhilin <generalfailer@protonmail.com>
Date:   Sun Nov 27 22:46:26 2016 +0300

    ga_IE and en_IE locales: Revert first_weekday removal (bug 24200).
    
    These values were removed by the commit 0a410e76f5.
    
    	[BZ #24200]
    	* localedata/locales/ga_IE (first_weekday): Add, set to 2 (Monday).
    	* localedata/locales/en_IE (first_weekday): Likewise.
Comment 4 Rafal Luzynski 2019-07-17 10:11:23 UTC
This bug has been fixed in master.  Thank you Daniil and Alberto for your contributions.